# -*- coding: utf-8 -*-

################################################################
# zopyx.plone.smashdocs
# (C) 2016,  Andreas Jung, www.zopyx.com, Tuebingen, Germany
################################################################


from plone.app.registry.browser import controlpanel

from ..interfaces import ISmashdocsSettings
from ..i18n import MessageFactory as _


class SmashdocsSettingsEditForm(controlpanel.RegistryEditForm):

    schema = ISmashdocsSettings
    label = _(u'Smashdocs settings')
    description = _(u'')

    def updateFields(self):
        super(SmashdocsSettingsEditForm, self).updateFields()

    def updateWidgets(self):
        super(SmashdocsSettingsEditForm, self).updateWidgets()


class SmashdocsSettingsControlPanel(controlpanel.ControlPanelFormWrapper):
    form = SmashdocsSettingsEditForm
